Bug 1476498 - AppStream metadata for lshw gui package are missing
AppStream metadata for lshw gui package are missing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lshw (Show other bugs)
26
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 12:39 EDT by AsciiWolf
Modified: 2018-05-21 06:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: lshw-B.02.18-10.fc26 lshw-B.02.18-10.fc25 lshw-B.02.18-11.fc26 lshw-B.02.18-11.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-21 06:45:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AppStream appdata file (855 bytes, application/xml)
2017-07-31 11:34 EDT, AsciiWolf
no flags Details

  None (edit)
Description AsciiWolf 2017-07-29 12:39:49 EDT
Description of problem:

There is not any appdata.xml/metainfo.xml file available in the lshw gui package. Because of this, lshw gui cannot be found and/or installed using the GNOME Software application or another package manager UI based on AppStream.


Steps to Reproduce:

1. Open GNOME Software.
2. Type "lshw".
Comment 1 AsciiWolf 2017-07-31 11:34 EDT
Created attachment 1307191 [details]
AppStream appdata file
Comment 2 Fedora Update System 2017-08-13 07:43:02 EDT
lshw-B.02.18-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0dad68c206
Comment 3 Fedora Update System 2017-08-13 22:27:35 EDT
lshw-B.02.18-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0dad68c206
Comment 4 Fedora Update System 2017-08-14 02:00:34 EDT
lshw-B.02.18-10.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-56aabeab27
Comment 5 Jan Kurik 2017-08-15 02:31:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 6 Fedora Update System 2017-08-17 20:26:13 EDT
lshw-B.02.18-10.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2017-08-23 02:06:44 EDT
lshw-B.02.18-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 AsciiWolf 2017-08-24 16:28:19 EDT
It looks like that lshw is still missing in GNOME Software on my Fedora 26 system.
Comment 9 AsciiWolf 2017-08-26 07:34:21 EDT
I think the problem is that the desktop file is named as lshw.desktop, not gtk-lshw.desktop as stated in the appdata file.
Comment 10 AsciiWolf 2017-08-26 07:36:59 EDT
Also, I see that the icon have a different name than the desktop file, but I am not sure if this is a problem.
Comment 11 AsciiWolf 2017-08-26 07:44:49 EDT
Or, more likely, the icon file path is a problem; I think that the svg icons should be in /usr/share/icons/hicolor/scalable/apps/, not in /usr/share/pixmaps/. See the Automated Tests in: https://bodhi.fedoraproject.org/updates/FEDORA-2017-56aabeab27
Comment 12 Terje Røsten 2017-08-28 14:40:50 EDT
Can you check new update: 
 https://bodhi.fedoraproject.org/updates/FEDORA-2017-bd0f702f94
Comment 13 Fedora Update System 2017-09-01 07:53:24 EDT
lshw-B.02.18-11.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bd0f702f94
Comment 14 Fedora Update System 2017-09-01 08:53:16 EDT
lshw-B.02.18-11.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-451fd53d2a
Comment 15 Fedora Update System 2017-09-04 20:51:00 EDT
lshw-B.02.18-11.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 AsciiWolf 2017-09-09 08:50:34 EDT
Lshw seems to be still missing in GNOME Software on my Fedora 26 system.
Comment 17 Fedora Update System 2017-09-13 23:51:32 EDT
lshw-B.02.18-11.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 AsciiWolf 2017-11-14 06:56:43 EST
Still not fixed!
Comment 19 Terje Røsten 2017-11-14 12:42:36 EST
It worked for me in GNOME Software in Fedora 27. Does that work for you?
Comment 20 AsciiWolf 2017-11-14 13:53:14 EST
I did not test it in F27 yet, only in F26 where it still does not work. I will test it in F27 and let you know.
Comment 21 AsciiWolf 2017-11-14 16:22:29 EST
I can confirm that it is fixed in F27!
Comment 22 Terje Røsten 2017-11-14 17:06:48 EST
Great! 

Package is identical in all branches, might be metadata for AppStream
must be in proper release and can't be added (or modified) via updates?
Comment 23 AsciiWolf 2017-11-14 17:08:56 EST
I think they can be modified via updates, but I am not sure.
Comment 24 Terje Røsten 2018-01-27 03:50:26 EST
Adding GNOME Software maintainer to confirm issue.
Comment 25 Richard Hughes 2018-01-29 07:53:37 EST
f26 probably needs an update of appstream-data, I can ask somebody to do it this week.
Comment 26 Terje Røsten 2018-02-13 13:53:21 EST
appstream-data refreshed for fedora 26?
Comment 27 Terje Røsten 2018-03-15 15:20:47 EDT
ping? metadata has been updated now?
Comment 28 Fedora End Of Life 2018-05-03 04:11:49 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 29 Terje Røsten 2018-05-21 06:45:26 EDT
Works in current releases.

Note You need to log in before you can comment on or make changes to this bug.